2017-07-23 13:31 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002207OpenFOAMPatchpublic2016-08-22 14:33
Reporterwyldckat 
Assigned Tohenry 
PrioritynormalSeveritytextReproducibilityalways
StatusresolvedResolutionfixed 
Product Version4.x 
Target VersionFixed in Version4.x 
Summary0002207: Typos found in the classes that derive from temperatureCoupleBase
DescriptionIn commit 96f4d7d66f4ed2fa5d6e962b69e92188c3953b8e, when the following two parameters were renamed:

  kappa -> kappaMethod
  kappaName -> kappa

the documentation of these two was not passed onto the classes that derive from the class temperatureCoupledBase.

Therefore, to fix this, attached is the package "patch_derived_from_temperatureCoupleBase_v1.tar.gz" that provides documentation updates for the following files at "src/TurbulenceModels/compressible/turbulentFluidThermoModels/derivedFvPatchFields/":

    externalWallHeatFluxTemperature/externalWallHeatFluxTemperatureFvPatchScalarField.H
    turbulentHeatFluxTemperature/turbulentHeatFluxTemperatureFvPatchScalarField.H
    turbulentTemperatureCoupledBaffleMixed/turbulentTemperatureCoupledBaffleMixedFvPatchScalarField.H
    turbulentTemperatureRadCoupledMixed/turbulentTemperatureRadCoupledMixedFvPatchScalarField.H

The main changes done were for future-proofing this part of the code, namely as follows:

1.
  - The thermal conductivity, \c kappa, can either be retrieved from the
  - mesh database using the \c lookup option, or from a \c solidThermo
  - thermophysical package.
  + The thermal conductivity \c kappa can either be retrieved from various
  + possible sources, as detailed in the class temperatureCoupledBase.

2.
  - kappa | thermal conductivity option | yes |
  - kappaName | name of thermal conductivity field | yes |
  + kappaMethod | inherited from temperatureCoupledBase | inherited |
  + kappa | inherited from temperatureCoupledBase | inherited |


3. And in Usage examples given, these two parameters were moved to near the bottom of the list as well, having only "value" as the very last item.
Additional InformationI only spotted this due to the following thread: http://www.cfd-online.com/Forums/openfoam-bugs/174576-error-comments-section-externalwallheatfluxtemperature-h.html
Besides providing the answer there, I've also asked there that future issues like these should be reported here.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0006716

henry (manager)

Resolved in OpenFOAM-dev by commit b74d95b2a9d6391f2eb088d3e44e413aac99cc8a
Resolved in OpenFOAM-4.x by commit a13e6aef99f5a5fb264cc0c3c39960af0c5f5571
+Notes

-Issue History
Date Modified Username Field Change
2016-08-20 21:29 wyldckat New Issue
2016-08-20 21:29 wyldckat Status new => assigned
2016-08-20 21:29 wyldckat Assigned To => henry
2016-08-20 21:29 wyldckat File Added: patch_derived_from_temperatureCoupleBase_v1.tar.gz
2016-08-22 14:33 henry Note Added: 0006716
2016-08-22 14:33 henry Status assigned => resolved
2016-08-22 14:33 henry Fixed in Version => 4.x
2016-08-22 14:33 henry Resolution open => fixed
+Issue History